Bug 7848 - переустановка pam0_mktemp не чинит права /tmp/.private
: переустановка pam0_mktemp не чинит права /tmp/.private
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/pam0_mktemp)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-03 13:27 by
Modified: 2010-10-09 15:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-03 13:27:41
Не зная броду, полез руками менять /tmp/.private, в результате чего огрёб
проблем.
Однако! сразу после того, как в ответ на 
su -
получил 
Cannot make/remove an entry for the for the specified session
переставил свежий pam из Сизифа. Не помогло. Потом, после пары часов
разбирательств, локализовал проблему. Снёс старый rpm, поставил новый. Всё
ожило!

Steps to Reproduce:
1. извратить /tmp/.private
2. su или login в консоли
Actual Results:  
при попытки залогиниться в консоли (и у пользователя, и у рута) в логи идёт:
Authentication passed for ... 

а в консоли login пишет:
Login incorrect

su выдаёт что-то вроде:
Cannot make/remove an entry for the for the specified session


Expected Results:  
1) необходимо чётко сообщить в log где и что не так.
2) нужно чинить права у /tmp/.private при переустановке пакета.

серьёзность большая, потому что операции на /tmp в отличие от /etc или /usr
опасений у юсера не вызывают, а последствия тяжёлые, и в логах при этом --
тишина.
------- Comment #1 From 2005-09-03 19:06:40 -------
pam_mktemp пока что не умеет ничего сообщать в syslog.
Добавление этой функциональности находится в TODO автора pam_mktemp'а.

Что касается починки прав на /tmp/.private при обновлении пакета, то, даже если
закрыть глаза на сложность сделать такую починку безопасной, я не уверен в
практической полезности этого.

А что вы сделали такое с /tmp/.private?
------- Comment #2 From 2005-09-04 12:46:45 -------
chown <user>:<usergrp> /tmp/.private
проверил -- воспроизвелось
------- Comment #3 From 2010-10-09 15:59:32 -------
apparently wontfix